<br />
<form [formGroup]="extractionForm">
  <span>
    <div>
      <mat-form-field>
        <mat-label>Enter Text</mat-label>
        <textarea
          matInput
          formControlName="textInput"
          [readonly]="isExtracting"
        ></textarea>
      </mat-form-field>
    </div>
    <button
      mat-raised-button
      (click)="extractTextData()"
      [disabled]="isExtracting"
    >
      Extract Data
    </button>
    <mat-progress-spinner
      *ngIf="isExtracting"
      mode="indeterminate"
      diameter="30"
      style="margin-left: 10px"
    ></mat-progress-spinner>
  </span>
</form>
